---
title: Date.prototype.getUTCFullYear()
slug: Web/JavaScript/Reference/Global_Objects/Date/getUTCFullYear
tags:
  - Date
  - JavaScript
  - Method
  - Prototype
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>getUTCFullYear()</code></strong> method returns the year in the specified date according to universal time.</p>

<div>{{EmbedInteractiveExample("pages/js/date-getutcfullyear.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>dateObj</var>.getUTCFullYear()</pre>

<h3 id="Return_value">Return value</h3>

<p>A number representing the year in the given date according to universal time.</p>

<h2 id="Description">Description</h2>

<p>The value returned by <code>getUTCFullYear()</code> is an absolute number that is compliant with year-2000, for example, 1995.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_getUTCFullYear">Using getUTCFullYear()</h3>

<p>The following example assigns the four-digit value of the current year to the variable <code>year</code>.</p>

<pre class="brush: js notranslate">var today = new Date();
var year = today.getUTCFullYear();
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-date.prototype.getutcfullyear', 'Date.prototype.getUTCFullYear')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Date.getUTCFullYear")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Date.prototype.getFullYear()")}}</li>
 <li>{{jsxref("Date.prototype.setFullYear()")}}</li>
</ul>
